Bug Hunting Session
Bug 70664 - EDITING: Embedded Firebird - Fieldtype BLOB in table-creating-module doesn't save pictures
Summary: EDITING: Embedded Firebird - Fieldtype BLOB in table-creating-module doesn't ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: highest blocker
Assignee: Andrzej Hunt
URL:
Whiteboard: Confirmed:4.2.0.0.alpha0+:Ubuntu targ...
Keywords:
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2013-10-20 07:58 UTC by Robert Großkopf
Modified: 2014-01-01 19:14 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Pictures couldn't be saved in a table created by the GUI (48.65 KB, application/vnd.oasis.opendocument.base)
2013-10-20 07:58 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2013-10-20 07:58:18 UTC
Created attachment 87864 [details]
Pictures couldn't be saved in a table created by the GUI

Take the attachment. There is one table, created by the GUI. One filed of this table is a field with the type BLOB.
I have created a form by the wizard. The wizard creates a field for input of a picture, but the BLOB of the table doesn't save the picture.
The BLOB doesn't seem to be the BLOB SUB_TYPE 0 (or BLOB SUB_TYPE BINARY). So it isn't possible to create a table with the GUI, which could save pictures.
Comment 1 Robert Großkopf 2013-10-20 10:39:41 UTC
Have now tested it with a Tools → SQL in the direct mode.
create table MyPictures (
id int not null primary key,
title varchar(40),
description varchar(200),
picture blob sub_type binary
);
The table is created, but the filed picture doesn't save any picture.

So it is impossible to save any picture in the internal Firebird database.
Comment 2 Alex Thurgood 2013-10-21 06:22:15 UTC
Confirming on Linux 32 bit Ubuntu 13.04

Version: 4.2.0.0.alpha0+
Build ID: 6dd844917205a051c880ff7609c28e09698770c8


As this is functionality which currently works in HSQLDB via the UI, I don't think we should be releasing Firebird integration if this doesn't work. 

Alex
Comment 3 Alex Thurgood 2013-10-21 06:28:21 UTC
In the GUI, the user isn't given a choice as to the type of BLOB subtype when in Table edit/creation mode.

If a form is built based on a table containing 

id INT NOT NULL PRIMARY KEY
pic BLOB

which is all that the GUI provides for, then a form can be built on that and by default, double-clicking on the control that maps to the image field will open the file manager and allow a user to insert an image, with a preview. The image then gets displayed in the control on the form.

However, saving the record, or moving to a new record and then back again, removes the image from the display, even though the data is referenced as an <OBJECT> in the underlying table.


Alex
Comment 4 Robinson Tryon (qubit) 2013-11-24 05:28:17 UTC
Add repro info to whiteboard
Comment 5 Commit Notification 2014-01-01 19:12:19 UTC
Andrzej Hunt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb4b290bcfbc5ac73103a557f8de429c3d7d7c3b

fdo#70664 Implement Blob writing (firebird-sdbc).



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-01-01 19:12:32 UTC
Andrzej Hunt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b24eec3d4ca50e676c0c3af86ecb92a8eb0a8a2

fdo#70664 Allow reading firebird Blob as InputStream.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-01-01 19:13:52 UTC
Andrzej Hunt committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=990c8f57b673eec03296ca72b19f946775840395&h=libreoffice-4-2

fdo#70664 Implement Blob writing (firebird-sdbc).


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-01-01 19:14:06 UTC
Andrzej Hunt committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f65b5066c80a6af4f1f04c7f6f194d789a043cd&h=libreoffice-4-2

fdo#70664 Allow reading firebird Blob as InputStream.


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.